<?php
/**
 * @file
 * recruiter_job_search_notifications.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function recruiter_job_search_notifications_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
}

/**
 * Implements hook_views_api().
 */
function recruiter_job_search_notifications_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_default_search_api_saved_searches_settings().
 */
function recruiter_job_search_notifications_default_search_api_saved_searches_settings() {
  $items = array();
  $items['job_search'] = entity_import('search_api_saved_searches_settings', '{
    "delta" : "job_search",
    "index_id" : "job_search",
    "enabled" : "1",
    "options" : {
      "registered_choose_mail" : 0,
      "default_true" : true,
      "ids_list" : [  ],
      "user_select_interval" : 1,
      "interval_options" : { "86400" : "Daily", "604800" : "Weekly", "2592000" : "Monthly" },
      "set_interval" : "86400",
      "mail" : {
        "activate" : {
          "send" : 1,
          "title" : "Activate your saved search at [site:name]",
          "body" : "A saved search on [site:name] with this e-mail address was created.\\u000D\\u000ATo activate this saved search, click the following link:\\u000D\\u000A\\u000D\\u000A[search-api-saved-search:activate-url]\\u000D\\u000A\\u000D\\u000AIf you didn\\u0027t create this saved search, just ignore this mail and it will be deleted.\\u000D\\u000A\\u000D\\u000A--  [site:name] team"
        },
        "notify" : {
          "title" : "New results for your saved search at [site:name]",
          "body" : "[user:name],\\u000D\\u000A\\u000D\\u000AThere are new results for your saved search on [site:name]:\\u000D\\u000A\\u000D\\u000A[search-api-saved-searches:results]\\u000D\\u000A\\u000D\\u000A--  [site:name] team",
          "results" : "New results for search \\u0022[search-api-saved-search:name]\\u0022:\\u000D\\u000A[search-api-saved-search:items]\\u000D\\u000A\\u000D\\u000AIf you want to delete this saved search, click here:\\u000D\\u000A[search-api-saved-search:delete-url]",
          "result" : "[search-api-saved-search-result:label] ([search-api-saved-search-result:url])"
        }
      },
      "manual" : {
        "allow" : 0,
        "fulltext" : 0,
        "fields" : [  ],
        "page" : { "path" : "", "fulltext" : "", "direct_filter_params" : "0" }
      }
    },
    "rdf_mapping" : [  ]
  }');
  return $items;
}
